Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

How do you upgrade to 1.1.3 , I go to m-connect, but don’t see that update.. 
 
edwardtilbury
Member
 
Total Posts:  66
Joined:  2008-08-01
Las Vegas, Nevada
 

How do you upgrade to 1.1.3 , I go to m-connect, but don’t see that update…

Where is this update located? Can someone let me know?  I even switched my updates to alpha mode just in case.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Aspiration Host
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

As stated in this Wiki post:-

http://www.magentocommerce.com/wiki/upgrading_magento

You will first need to install PEAR downloader if you have not already done so. To install it, simply key in the following and click “Install”:-

magento-core/Mage_All_Latest

 
Magento Community Magento Community
Magento Community
Magento Community
 
chip13
Member
 
Total Posts:  37
Joined:  2008-04-30
 

I have already installed the key : magento-core/Mage_All_Latest
But I do not have a list that appears, I only : Mage_Downloader 1.1.1
See the attached image

Image Attachments
Magento connect.jpg
 
Magento Community Magento Community
Magento Community
Magento Community
 
Aspiration Host
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

@ chip13: I believe your installation and downloading of “magento-core/Mage_All_Latest “ is not complete. Is it possible for you to do it again?

 
Magento Community Magento Community
Magento Community
Magento Community
 
chip13
Member
 
Total Posts:  37
Joined:  2008-04-30
 

Well when I refet in “auto-scroll console content” I have 15 files for which permissions are not good but when I change the permissions, it does not change anything?

Example :
httpdocs/lib/googlecheckout/xml-processing/.tmpgc_xmlbuilder.php
Permission denied

It was 664, I tried to 755, 775 and 777 but nothing.
What to do ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Aspiration Host
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

Is the server which host your store suPHP enabled? If so, you need to use 644 for files and 755 for directories.

 
Magento Community Magento Community
Magento Community
Magento Community
 
chip13
Member
 
Total Posts:  37
Joined:  2008-04-30
 

My server supports PHP, so I put the file “httpdocs/lib/googlecheckout/xml-processing.Tmpgc_xmlbuilder.php” 644 and the parent directory to 755.

But nothing has changed!

What to do?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Aspiration Host
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

@ chip13: What I meant is not PHP but suPHP/suEXEC.
If that is the case I recommend you to contact your hosting provider or server admin about this.

 
Magento Community Magento Community
Magento Community
Magento Community
 
chip13
Member
 
Total Posts:  37
Joined:  2008-04-30
 

suPHP / suEXEC? I do not know.

But if this was not the case, there should not be that “Magento connect manager” who would work well but not my site Magento, is not it ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
duke
Jr. Member
 
Total Posts:  16
Joined:  2008-07-08
 

Hi, my problem goes a little bit deeper…

I get

Did not download optional dependencies: pear/XML_RPC, use --alldeps to download automatically
Magento Downloader
Exception caught:

Warning: popen() has been disabled for security reasons in /home/fertired/public_html/tienda/downloader/pearlib/php/OS/Guess.php on line 247

Backtrace:

#0 /home/fertired/public_html/tienda/downloader/pearlib/php/OS/Guess.php(247): mageCoreErrorHandler(2, ‘popen() has bee...’, ‘/home/fertired/...’, 247, Array)
#1 /home/fertired/public_html/tienda/downloader/pearlib/php/OS/Guess.php(159): OS_Guess->_detectGlibcVersion(’/usr/bin/cpp /t...’, ‘r’)
#2 /home/fertired/public_html/tienda/downloader/pearlib/php/OS/Guess.php(114): OS_Guess->parseSignature()
#3 /home/fertired/public_html/tienda/downloader/pearlib/php/PEAR/Dependency2.php(105): OS_Guess->OS_Guess(NULL)
#4 /home/fertired/public_html/tienda/downloader/pearlib/php/PEAR/Downloader.php(259): PEAR_Dependency2->PEAR_Dependency2()
#5 /home/fertired/public_html/tienda/downloader/pearlib/php/PEAR/Downloader.php(501): PEAR_Downloader->getDependency2Object(Object(PEAR_Config), Array, Array, 4)
#6 /home/fertired/public_html/tienda/downloader/pearlib/php/PEAR/Downloader.php(409): PEAR_Downloader->analyzeDependencies(Object(PEAR_Config), Array, Array, 4)
#7 /home/fertired/public_html/tienda/downloader/pearlib/php/PEAR/Command/Install.php(629): PEAR_Downloader->download(Array)
#8 /home/fertired/public_html/tienda/downloader/pearlib/php/PEAR/Command/Common.php(285): PEAR_Command_Install->doInstall(Array)
#9 /home/fertired/public_html/tienda/downloader/Maged/Pear.php(228): PEAR_Command_Common->run(’install’, Array, Array)
#10 /home/fertired/public_html/tienda/downloader/Maged/Pear.php(295): Maged_Pear->run(’install’, Array, Array)
#11 /home/fertired/public_html/tienda/downloader/Maged/Model/Pear.php(238): Maged_Pear->runHtmlConsole(’install’, Array, Array)
#12 /home/fertired/public_html/tienda/downloader/Maged/Controller.php(122): Maged_Model_Pear->installPackage(Array)
#13 /home/fertired/public_html/tienda/downloader/Maged/Controller.php(344): Maged_Controller->pearInstallPackagePostAction(’magento-core/Ma...’)
#14 /home/fertired/public_html/tienda/downloader/Maged/Controller.php(164): Maged_Controller->dispatch()
#15 /home/fertired/public_html/tienda/downloader/index.php(29): Maged_Controller::run()
#16 {main}

Already found about popen being disabled in some hosting services: http://www.magentocommerce.com/boards/viewthread/9520/

Already contacted the host (hasweb), they said they had removed it from the disable_functions variable (safe_mode is also off), and both things appear reflected in the php_info… however I still get the same error…

Any ideas?

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top